## CongRange

CongRange —

## Synopsis

    void        cong_range_init                 (CongRange *range);
    void        cong_range_nullify              (CongRange *range);
    gboolean    cong_range_is_valid             (CongRange *range);
    gchar*      cong_range_generate_source      (CongRange *range);
    gboolean    cong_range_exists               (CongRange *range);
    gboolean    cong_range_is_empty             (CongRange *range);
    gboolean    cong_range_is_ordered           (CongRange *range);
    gboolean    cong_range_can_be_cut           (CongRange *range);
    gboolean    cong_range_can_be_copied        (CongRange *range);
    void        cong_range_make_ordered         (CongRange *range);
    gboolean    cong_range_is_node              (CongRange *range,
                                                 CongNodePtr node);
    void        cong_range_copy                 (CongRange *dst,
                                                 const CongRange *src);

## Description

## Details

### cong_range_init ()

    void        cong_range_init                 (CongRange *range);

TODO: Write me

`range` : |

### cong_range_nullify ()

    void        cong_range_nullify              (CongRange *range);

TODO: Write me

`range` : |

### cong_range_is_valid ()

    gboolean    cong_range_is_valid             (CongRange *range);

TODO: Write me

`range` : |
Returns : |

### cong_range_generate_source ()

    gchar*      cong_range_generate_source      (CongRange *range);

TODO: Write me

`range` : |
Returns : |

### cong_range_exists ()

    gboolean    cong_range_exists               (CongRange *range);

TODO: Write me

`range` : |
Returns : |

### cong_range_is_empty ()

    gboolean    cong_range_is_empty             (CongRange *range);

TODO: Write me

`range` : |
Returns : |

### cong_range_is_ordered ()

    gboolean    cong_range_is_ordered           (CongRange *range);

TODO: Write me

`range` : |
Returns : |

### cong_range_can_be_cut ()

    gboolean    cong_range_can_be_cut           (CongRange *range);

TODO: Write me

`range` : |
Returns : |

### cong_range_can_be_copied ()

    gboolean    cong_range_can_be_copied        (CongRange *range);

TODO: Write me

`range` : |
Returns : |

### cong_range_make_ordered ()

    void        cong_range_make_ordered         (CongRange *range);

TODO: Write me

`range` : |

### cong_range_is_node ()

    gboolean    cong_range_is_node              (CongRange *range,
                                                 CongNodePtr node);

TODO: Write me

`range` : |
`node` : |
Returns : |

### cong_range_copy ()

    void        cong_range_copy                 (CongRange *dst,
                                                 const CongRange *src);

TODO: Write me

`dst` : |
`src` : |